package com.sf.common.exception;


import com.sf.common.enums.ErrorCodeTypeEnum;

/**
 * @author : yswjme@163.com
 * @Title : BusinessException.java
 * @Package : com.zsmarter.ai.word.exception
 * @Descript : 业务运行时异常
 * @date : 2020-06-29 04:59:44
 * @vsersion : V1.0
 */
public class BusinessException extends RuntimeException {

    private static final long serialVersionUID = 4693786499059513760L;

    private ErrorCodeTypeEnum errorCodeTypeEnum;

    private final String errorDescription;

    private String errorCode;

    public BusinessException(String errorDescription) {
        super(errorDescription);
        this.errorDescription = errorDescription;
    }

    public BusinessException(String errorDescription, Throwable t) {
        super(errorDescription, t);
        this.errorDescription = errorDescription;
    }

    public BusinessException(String code, String errorDescription) {
        super(errorDescription);
        this.errorDescription = errorDescription;
        this.errorCode = code;
    }

    public BusinessException(String code, String errorDescription, Throwable t) {
        super(errorDescription, t);
        this.errorDescription = errorDescription;
        this.errorCode = code;
    }

    public BusinessException(ErrorCodeTypeEnum errorCodeTypeEnum, String code, String errorDescription) {
        super(errorDescription);
        this.errorDescription = errorDescription;
        this.errorCode = code;
        this.errorCodeTypeEnum = errorCodeTypeEnum;
    }

    public BusinessException(ErrorCodeTypeEnum errorCodeTypeEnum, String code, String errorDescription, Throwable t) {
        super(errorDescription, t);
        this.errorDescription = errorDescription;
        this.errorCode = code;
        this.errorCodeTypeEnum = errorCodeTypeEnum;
    }

    public String getErrorDescription() {
        return this.errorDescription;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public String getErrorTitle() {
        return "业务校验失败!";
    }

    public ErrorCodeTypeEnum getErrorCodeTypeEnum() {
        return errorCodeTypeEnum;
    }


}
